Home / Call flows that operators actually trace / PRACK and reliable provisionals
PRACK and reliable provisionals
A provisional response with Require: 100rel is retransmitted until PRACK, and RAck names that exact response.
Learn in 5 minutes
- Offer 100rel and answer with RSeq
- Build RAck from RSeq and the INVITE CSeq
- Give PRACK its own CSeq number
Visual
The first number is the provisional. The next two name the INVITE, not the PRACK.
Worked example
Check RAck Dissect the PRACK. Separate RAck from CSeq.
- Dissect the PRACK.
- Read RAck.
- Read CSeq and confirm the method token is PRACK.
Fault
The UAS keeps retransmitting 183. The PRACK is present and the UAS answers 481.
RAck's method and number identify the request that carried RSeq, which is the INVITE.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
E911 / emergency calling Location has to ride with the call. RFC 6881 is the BCP, RFC 6442 carries location in SIP, and the FCC MLTS page states Kari’s Law and RAY BAUM’s Act obligations for multi-line systems.
Sources and go deeper
- RFC 3262 — last checked 2026-10
- RFC 3261 §21 — last checked 2026-10
- RFC 3261 §12 — last checked 2026-10